RESTinio

Classes | Namespaces | Typedefs | Enumerations | Functions
common_types.hpp File Reference
`#include <cstdint>`
`#include <restinio/asio_include.hpp>`

Go to the source code of this file.

## Classes
struct | restinio::response_output_flags_t
| Response output flags for buffers commited to response-coordinator. More...

## Namespaces
namespace | restinio

## Typedefs
using | restinio::request_id_t = unsigned int
| Request id in scope of single connection. More...
template<typename T >
using | restinio::nullable_pointer_t = T *
| Type for pointer that can be nullptr. More...
template<typename T >
using | restinio::not_null_pointer_t = T *
| Type for pointer that is not null by design. More...
using | restinio::connection_id_t = std::uint64_t
| Type for ID of connection. More...
using | restinio::endpoint_t = asio_ns::ip::tcp::endpoint
| An alias for endpoint type from Asio. More...

## Enumerations
enum class | restinio::request_handling_status_t : std::uint8_t { restinio::accepted , restinio::rejected , restinio::not_handled }
| Request handling status. More...
enum class | restinio::response_parts_attr_t : std::uint8_t { restinio::not_final_parts , restinio::final_parts }
| Attribute for parts. More...
enum class | restinio::response_connection_attr_t : std::uint8_t { restinio::connection_keepalive , restinio::connection_close }
| Attribute for parts. More...

## Functions
std::ostream & | restinio::operator<< (std::ostream &o, response_parts_attr_t attr)
std::ostream & | restinio::operator<< (std::ostream &o, response_connection_attr_t attr)
response_connection_attr_t | restinio::response_connection_attr (bool should_keep_alive)
std::ostream & | restinio::operator<< (std::ostream &o, const response_output_flags_t &flags)
Helper funcs for working with request_handling_status_t
See also request_handling_status_t.
RESTINIO_NODISCARD constexpr request_handling_status_t | restinio::request_accepted () noexcept
RESTINIO_NODISCARD constexpr request_handling_status_t | restinio::request_rejected () noexcept
RESTINIO_NODISCARD constexpr request_handling_status_t | restinio::request_not_handled () noexcept